Bug 185290 - new user directories created with 755 permissions
new user directories created with 755 permissions
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: shadow-utils (Show other bugs)
4
All Linux
medium Severity medium
: ---
: ---
Assigned To: Peter Vrabec
David Lawrence
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-03-13 06:08 EST by Lev Novikov
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version: 4.0.12-8
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-03-14 04:10:47 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Lev Novikov 2006-03-13 06:08:32 EST
Version-Release number of selected component (if applicable):  
shadow-utils-4.0.12-7.FC4  
  
  
How reproducible:  
always after last update  
  
  
Steps to Reproduce:  
1. useradd permissiontest  
2. stat /home/permissiontest  
  
    
Actual results:  
Access: (0755/drwxr-xr-x)  
  
Expected results:  
Access: (0700/drwx------)
Comment 1 Peter Vrabec 2006-03-13 12:08:14 EST
fixed in shadow-utils-4.0.12-8.FC4
Comment 2 Matthew Miller 2006-03-30 14:13:10 EST
Minor notes on this update:

Other entries in /etc/login.defs generally have a comment saying exactly what
that setting does. This isn't quite clear -- does the "UMASK=077" apply only to
the creation of the home directory, or does it apply to other things
somehow/somewhere? Not urgent, but it'd be nice to add a bit of text next time
you do an update.

Also, when the umask value was added, the login.defs source file remained
"shadow-970616.login.defs", so I almost missed the change to that file. It would
be better to rename this to "shadow-4.0.12.login.defs" in the next package
update as well.

Thanks!

Note You need to log in before you can comment on or make changes to this bug.